RelayAPI

Create an entrypoint under an automation

POST
/v1/automations/{id}/entrypoints
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/automations/string/entrypoints" \  -H "Content-Type: application/json" \  -d '{    "channel": "instagram",    "kind": "dm_received"  }'
{  "id": "string",  "automation_id": "string",  "channel": "instagram",  "kind": "string",  "status": "string",  "social_account_id": "string",  "config": {    "property1": null,    "property2": null  },  "filters": {    "property1": null,    "property2": null  },  "allow_reentry": true,  "reentry_cooldown_min": 0,  "priority": 0,  "specificity": 0,  "created_at": "string",  "updated_at": "string",  "webhook_secret_plaintext": "string",  "scheduling": {    "queued": true,    "reason": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo